Subject: git fast-import: how to prevent incremental commit with no changes

From: Timo Teras <[email-masked]>
Date: Mon, 5 May 2014 11:53:20 +0300

Hi,

I'm trying to script a setup that would periodically import a tarball
to git with fast-import. But things do not always change, so I'd like
fast-import to be able to not do the commit in case there is no change.

That is, I'm constructing the commit with "deleteall" + importing each
object by mark after that. Now, in case nothing changed, fast-import
will happily create an empty commit for me.

Would it be possible to add some flag that would make commit fail in
case nothing changed?

Any suggestions how to do this?

Thanks,
Timo